## sddm-kcm 6.5.0

=== debian/changelog ===
sddm-kcm (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:59 +0200

=== debian/control ===
Source: sddm-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/sddm-kcm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git

Package: kde-config-sddm
Architecture: any
Depends: qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-newstuff,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM module for SDDM
 KDE systemsettings module to configure SDDM login manager.

## sddm-kcm 6.5.0+p24.04+vstable+git20251021.0905

=== debian/changelog ===
sddm-kcm (4:6.5.0+p24.04+vstable+git20251021.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:05:14 +0000

sddm-kcm (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:38:10 +0000

## sddm-kcm 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(sddm-kcm)
set(PROJECT_VERSION "6.5.1")

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets Quick QuickWidgets DBus)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Auth
    KIO
    Archive
    NewStuff
    KCMUtils
    Service
)

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.16.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sddm\")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

kauth_install_actions(org.kde.kcontrol.kcmsddm kcm_sddm.actions)

add_executable(kcmsddm_authhelper sddmauthhelper.cpp sddmauthhelper.h)
target_link_libraries(kcmsddm_authhelper KF6::AuthCore KF6::ConfigCore KF6::Archive KF6::I18n Qt6::DBus)

kauth_install_helper_files(kcmsddm_authhelper org.kde.kcontrol.kcmsddm root)
install(TARGETS kcmsddm_authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

#installer tool for knewstuff
add_executable(sddmthemeinstaller
    sddmthemeinstaller.cpp
)

target_link_libraries(sddmthemeinstaller
    KF6::I18n
    KF6::AuthCore
    KF6::CoreAddons
    KF6::ConfigCore
    KF6::WidgetsAddons
    Qt6::DBus
)
install(TARGETS sddmthemeinstaller ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(src)
install(FILES sddmtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== debian/changelog ===
sddm-kcm (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:01 +0100

## sddm-kcm 6.5.1+p24.04+vstable+git20251029.0755

=== debian/changelog ===
sddm-kcm (4:6.5.1+p24.04+vstable+git20251029.0755-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:55:20 +0000

sddm-kcm (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:06:47 +0000

## sddm-kcm 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/CMakeLists.txt ===
set(SDDM_CONFIG_FILE              "/etc/sddm.conf"                                       CACHE PATH      "Path of the sddm config file")
set(SDDM_CONFIG_DIR               "/etc/sddm.conf.d"                                     CACHE PATH      "Path of the sddm config directory")
set(SDDM_SYSTEM_CONFIG_DIR        "${CMAKE_INSTALL_PREFIX}/lib/sddm/sddm.conf.d"         CACHE PATH      "Path of the system sddm config directory")
set(XSESSIONS_DIR                 "${CMAKE_INSTALL_PREFIX}/share/xsessions"              CACHE PATH      "Primary path of the xsessions")
set(XSESSIONS_ALT_DIR             "${CMAKE_INSTALL_PREFIX}/local/share/xsessions"        CACHE PATH      "Alternate path of the xsessions")
set(WAYLAND_SESSIONS_DIR          "${CMAKE_INSTALL_PREFIX}/share/wayland-sessions"       CACHE PATH      "Primary path of the wayland sessions")
set(WAYLAND_SESSIONS_ALT_DIR      "${CMAKE_INSTALL_PREFIX}/local/share/wayland-sessions" CACHE PATH      "Alternate path of the wayland sessions")

configure_file(config.h.in config.h IMMEDIATE @ONLY)

kcmutils_add_qml_kcm(kcm_sddm)

target_sources(kcm_sddm PRIVATE
    sddmkcm.cpp sddmkcm.h
    themesmodel.cpp themesmodel.h
    thememetadata.cpp thememetadata.h
    usersmodel.cpp usersmodel.h
    sessionmodel.cpp sessionmodel.h
    sddmdata.cpp sddmdata.h
    sddmsettingsbase.cpp sddmsettingsbase.h
)
kconfig_add_kcfg_files(kcm_sddm sddmsettings.kcfgc GENERATE_MOC)

target_compile_definitions(kcm_sddm PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kcm_sddm PRIVATE
    KF6::I18n
    KF6::AuthCore
    KF6::KCMUtils
    KF6::KIOGui
    KF6::Service
)

=== debian/changelog ===
sddm-kcm (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:24 +0100

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/plasma/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## sddm-kcm 6.5.2+p24.04+vunstable+git20251110.1203

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
sddm-kcm (4:6.5.2+p24.04+vunstable+git20251110.1203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 12:03:19 +0000

sddm-kcm (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:07 +1000

## sddm-kcm 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
sddm-kcm (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:15 +0100

## sddm-kcm 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
sddm-kcm (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:32 +0000

sddm-kcm (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:43 +0000

sddm-kcm (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:14 +0000

sddm-kcm (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:37 +0000

sddm-kcm (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sddm-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -22,10 +23,11 @@
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/sddm-kcm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/sddm-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm
+Rules-Requires-Root: no
 
 Package: kde-config-sddm
 Architecture: any

## sddm-kcm 6.5.4+p24.04+vstable+git20251209.1344

=== debian/changelog ===
sddm-kcm (4:6.5.4+p24.04+vstable+git20251209.1344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:44:23 +0000

sddm-kcm (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:20 +1000

sddm-kcm (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:01 +1000

## sddm-kcm 6.5.4+p24.04+vstable+git20251215.0453

=== debian/changelog ===
sddm-kcm (4:6.5.4+p24.04+vstable+git20251215.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 04:53:37 +0000

## sddm-kcm 6.5.4+p24.04+vstable+git20260107.0842

=== debian/changelog ===
sddm-kcm (4:6.5.4+p24.04+vstable+git20260107.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:42:15 +0000

## sddm-kcm 6.5.4+p24.04+vunstable+git20251209.1343

=== debian/changelog ===
sddm-kcm (4:6.5.4+p24.04+vunstable+git20251209.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 13:43:53 +0000

## sddm-kcm 6.5.4+p24.04+vunstable+git20260103.0119

=== debian/changelog ===
sddm-kcm (4:6.5.4+p24.04+vunstable+git20260103.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 01:19:08 +0000

## sddm-kcm 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
sddm-kcm (4:6.5.5-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:01:52 +0000

sddm-kcm (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:24 +1000

## sddm-kcm 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
sddm-kcm (4:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:28 +0000

## sddm-kcm 6.5.5+p24.04+vstable+git20260202.1022

=== debian/changelog ===
sddm-kcm (4:6.5.5+p24.04+vstable+git20260202.1022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:22:02 +0000

## sddm-kcm 6.5.5+p24.04+vunstable+git20260122.0453

=== debian/changelog ===
sddm-kcm (4:6.5.5+p24.04+vunstable+git20260122.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:53:32 +0000

## sddm-kcm 6.5.5+p24.04+vunstable+git20260130.1402

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
sddm-kcm (4:6.5.5+p24.04+vunstable+git20260130.1402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:02:22 +0000

## sddm-kcm 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
sddm-kcm (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:18:01 +0000

sddm-kcm (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:13:36 +0000

sddm-kcm (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:10:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6newstuff-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6newstuff-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/sddm-kcm
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm-kcm

## sddm-kcm 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 project(sddm-kcm)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
sddm-kcm (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:46 +0000
